package com.yihu.jw.entity.hospital.article;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * 健康文章中间表
 * @author
 * @date
 */
@Entity
@Table(name = "wlyy_knowledge_article_user")
public class KnowledgeArticleUserDO extends UuidIdentityEntityWithOperator {

	private String user;//用户code
	private String userName;//用户名称
	private String relationCode;//文章code或者问卷code
	private Integer relationType;//1文章2问卷
	private String relationName;//文章名称
	private Integer fabulous;//1已赞0未赞
	private Integer isRead;//1已读0未读
	private Integer share;//1已分享0未分享
	private Integer collection;//是否收藏1是0否
	private Integer used;//1常用0不常用
	private Integer del;//是否删除，1正常，0删除


	@Transient
	KnowledgeArticleDO knowledgeArticleDO;

	@Column(name = "user_code")
	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getRelationCode() {
		return relationCode;
	}

	public void setRelationCode(String relationCode) {
		this.relationCode = relationCode;
	}

	public Integer getRelationType() {
		return relationType;
	}

	public void setRelationType(Integer relationType) {
		this.relationType = relationType;
	}

	public String getRelationName() {
		return relationName;
	}

	public void setRelationName(String relationName) {
		this.relationName = relationName;
	}

	public Integer getFabulous() {
		return fabulous;
	}

	public void setFabulous(Integer fabulous) {
		this.fabulous = fabulous;
	}

	public Integer getIsRead() {
		return isRead;
	}

	public void setIsRead(Integer isRead) {
		this.isRead = isRead;
	}

	@Column(name = "is_share")
	public Integer getShare() {
		return share;
	}

	public void setShare(Integer share) {
		this.share = share;
	}

	public Integer getCollection() {
		return collection;
	}

	public void setCollection(Integer collection) {
		this.collection = collection;
	}

	public Integer getUsed() {
		return used;
	}

	public void setUsed(Integer used) {
		this.used = used;
	}

	public Integer getDel() {
		return del;
	}

	public void setDel(Integer del) {
		this.del = del;
	}

	@Transient
	public KnowledgeArticleDO getKnowledgeArticleDO() {
		return knowledgeArticleDO;
	}

	public void setKnowledgeArticleDO(KnowledgeArticleDO knowledgeArticleDO) {
		this.knowledgeArticleDO = knowledgeArticleDO;
	}
}
